index

Varkon System administrators manual

# The driver for Microsoft windows

The driver for Microsoft windows systems (MSW32.DLL) reads Varkon plotfiles and outputs the processed image on a printer using the ordinary printer drivers and spooling system of the Windows operating system. Plotfiles can either be in .PLT format or in .DXF format.

The -raw option can be used to turn off all processing and send input to the spooler exactly as it is. This can be used to print an ordinary textfile or to send device specific control characters to a printer or plotter.

## Calling convention

##

The MBS calling syntax is:

    call_dll_function("$VARKON_BIN\MSW32.DLL", "msw32","file","options");

The declaration of the main entrypoint and its parameters in C-syntax is:

    int msw32(file,options)
    char *file;
    char *options;

The file parameter is the name of the file to process and the second parameter is one or more options that control the way the file is processed. Options are preceeded with a minus sign and separated with spaces as follows.

    -sS -wsL -xX -yY -vN -PPRINTER -raw -FF -d -kK -del

Options preceded by a minus sign should be followed by their value without any separating blank spaces.

## Options

-sS | - Set scale to S. Float value, default = 1.0
-wsL | - Scale linewidth with L. Float value, default = 1.0
-xX | - Set origin.x to X. Float value, default = 0.0
-yY | - Set origin.y to Y. Float value, default = 0.0
-vN | - Rotate n degrees. Float value, default = 0.0
-PPRINTER | - Use PRINTER, if not specified the default printer is used.
-raw | - Send input to printer spooler without processing
-FF | - Send trailing formfeed (should only be used with -raw)
-d | - Show outline of plot area and print statistics </tf>
-kK | - Set curve accuracy to K. Float value, default = 1.0
-del | - Deletes the file after processing

## Examples

call_dll_function("C:\VARKON\BIN\MSW32.DLL", "msw32", "plotfile.PLT", "-v90");

Rotates the image in plotfile.PLT 90 degrees anticlockwise and prints the result on the default printer.

call_dll_function("C:\VARKON\BIN\MSW32.DLL","msw32", "plotfile.PLT", "-v90 -PCANON B320");

Same as above but the result is sent to a printer with name = "CANON B320". Note that space characters are allowed in printer names.

call_dll_function("C:\VARKON\BIN\MSW32.DLL", "msw32", "file.TXT", "-raw -FF");

Sends file.TXT to the default printer without any processing. A trailing formfeed character ASCII-12 is also sent to the printer.

## Comments

MSW32 automatically recognizes if the input is in PLT or DXF format. The -k option only applies to DXF format.

MSW32 supports the WIDTH and PEN attributes.

Varkon version 1.19C svn# 120